{% extends 'utils/_form_layout.html' %}

{% from 'utils/_form_input.html' import form_builder %}
{% from 'utils/_form_button.html' import button %}

{% block content_title %}Update{% endblock %}

{% block link %}
    {{ super() }}
    <script src="{{ static('js/includes/utils.js') }}"></script>
    <script src="{{ static('js/password_tag/itemUpdate.js') }}"></script>
    <script src="{{ static('js/includes/checkPasswordStrength.js') }}"></script>
{% endblock %}

{% block form_body %}
    {{ form_builder(form.username) }}
    <label class="label">Current password</label>
    <div class="field has-addons">
        <div class="control is-expanded">
        <span data-id="{{ form.instance.id }}" id="password" class="input">
            *****************************
        </span>
        </div>

        <div id="toogleShowPassword" class="control">
            <a class="button is-info">
                <i class="fas fa-eye"></i>
            </a>
        </div>
    </div>
    {{ form_builder(form.password1, {"addons": "fa-solid fa-eye", "settings": ["password_strength"]}) }}
    {{ form_builder(form.password2, {"addons": "fa-solid fa-eye", "settings": ["password_strength"]}) }}
    {{ form_builder(form.url) }}
{% endblock %}

{% block form_submit %}
    {{ button('success', 'Update') }}
{% endblock %}